package Eyetracking3;

import java.awt.Rectangle;
import java.awt.image.BufferedImage;

import org.opencv.core.MatOfDMatch;
import org.opencv.core.Point;

public class ORBThread implements Runnable{
	private Thread t;
	ORBDetector detector;
	Rectangle[] eyes;
	BufferedImage img;
	Rectangle face;
	KeyPointsTrain train;
	public ORBThread(){
		
	}
	@Override
	public void run() {
		KeyPointsReference reference=detector.query(eyes,img, face, false, train);
		MatOfDMatch match=detector.match(img, face, train, reference, false);
		Point refPoint=reference.refPoint(match, train);
		Eyetracking.referencePoint=refPoint;
		
	}
	
	public boolean start(Rectangle[] eyes,BufferedImage img,Rectangle face,KeyPointsTrain train,ORBDetector detector,int threadNumber) {
		boolean canstart=false;
		if(t==null) {
			canstart=true;
			
		}else if(!t.isAlive()) {
			canstart=true;
			
			
		}
		if(canstart) {
			this.img=img;
			this.eyes=eyes;
			
			this.face=face;
			this.train=train;
			this.detector=detector;
			t=new Thread(this,"ORBThread-"+threadNumber);
			t.start();
			
		}
		return canstart;
	}
	

}
