public class Health {
  private int maxHealth; //maximal allowed value for health.
  private int health=0; //current health.
  private int boxwidth=100; //width of the health bar.
  private int boxheight=20; //height of the health bar.
  private int dxy=10; //distance of the top-right-hand corner of the health bar to the borders of the window.
  
  public Health(int maxHealth) {
    this.maxHealth=maxHealth;
    health=maxHealth;
  }
  
  //changes the health by a passed value. 0 is the minimal and maxHealth the maximal allowed value.
  public void changeHealth(int heal) {
    this.health+=heal;
    if (health>maxHealth) health=maxHealth;
    else if (health<0) health=0;
  }
  
  //returns the current health.
  public int getHealth(){
    return health;
  }
  
  //prints the health bar.
  public void print(){
    stroke(255,0,0);
    noFill();
    rect(width-dxy-boxwidth,dxy,boxwidth,boxheight);
    fill(255,0,0);
    noStroke();
    rect(width-dxy-boxwidth,dxy,(int)(boxwidth*(health/(double) maxHealth)),boxheight);
  }
}
