package Eyetracking3;

import java.awt.Color;
import java.awt.Rectangle;
import java.util.ArrayList;


import processing.core.PApplet;
import processing.core.PImage;
import processing.core.PVector;

public class help_Functions{
	public help_Functions() {}
	public double circularity(Contour c){
		  ArrayList <PVector> v=c.getPoints();
		  Rectangle bound=c.getBoundingBox();
		  double midx=midx(c);
		  double midy=midy(c);
		  double r=(bound.height+bound.width)/4;
		  double d=0.0;
		  for(int i=0;i<v.size();i++){
		    PVector point=v.get(i);
		    double dx=point.x-midx;
		    double dy=point.y-midy;
		    double dr=r-Math.sqrt(dx*dx+dy*dy);
		    d+=Math.abs(dr);
		    
		  }
		  d=d*10/v.size();
		  if(r<Eyetracking.minPupilRadius||r>Eyetracking.maxPupilRadius) d=1000;
		  return d;
		}
		public double midx(Contour c){
		  Rectangle bound=c.getBoundingBox();
		  return bound.x+bound.width/2.0;
		}
		public double midy(Contour c){
		  Rectangle bound=c.getBoundingBox();
		  return bound.y+bound.height/2.0;
		}
		void drawContours(ArrayList<Contour> contours,PApplet p){
		  for (Contour contour : contours) {
		    p.stroke(p.color(0, 255, 0));
		    //contour.draw();
		    
		    p.stroke(255, 0, 0);
		    p.beginShape();
		    for (PVector point : contour.getPolygonApproximation().getPoints()) {
		      p.vertex(point.x+480, point.y);
		    }
		    p.endShape();
		  }
		}
		PImage removeBrownIris(PImage eye){
		  
		  return null;
		}
		PImage setThreshold(PImage img,PApplet p){
		  img.loadPixels();
		  int threshold=0;
		  int blackpix=0;
		  while(blackpix<Eyetracking.pupilSize){
		    blackpix=0;
		    threshold++;

		  for(int i=0;i<img.pixels.length;i++){
		    if(newbrightness(img.pixels[i])<threshold){
		      blackpix++;
		    }
		  }
		  }
		  /**threshold=100;
		  for(int i=0;i<img.pixels.length;i++){
		    if(Math.min(Math.min(red(img.pixels[i]),green(img.pixels[i])),blue(img.pixels[i]))<threshold) img.pixels[i]=color(0,0,0);
		    else img.pixels[i]=color(255,255,255);
		  }**/
		  for(int i=0;i<img.pixels.length;i++){
		    if(newbrightness(img.pixels[i])<threshold) img.pixels[i]=p.color(0,0,0);
		    else img.pixels[i]=p.color(255,255,255);
		  }
		  img.updatePixels();
		  return img;
		}
		public int newbrightness(int color) {
			Color c=new Color(color);
			int rgb=c.getRed()+c.getGreen()+c.getBlue();
			rgb=(int) ( rgb/3.0);
			return rgb;
		}
		public int leastCircularity(ArrayList<Contour> c){
		  int index=-1;
		  double leastcircularity=10000;
		    if(c!=null){
		      for(int i=0;i<c.size();i++){
		        double circularity=circularity(c.get(i));
		        if(circularity<leastcircularity){
		          index=i;
		          leastcircularity=circularity;
		        }
		      }
		    }
		  return index;
		}
}
