// This class draws a menu to start the game the loose screen and record, the update and print methods of most classes are executed here
public class Menu {
  Player p;
  Level l;
  long time=0;
  boolean last=true;
  boolean startmenu=false;
  Button b;
  int count=0;
  
  public Menu() {
    startmenu=true;
    b=new Button(middleRectangle(width/2, height/2, 100, 50));
    b.setText("PLAY");
  }
  // Executes all update methods if set game isn't started the Level Update function isn't executed. The Print/Draw functions are also executed here
  public void update() {
    
    if (startmenu) {
      b.enable();// If Game isn't started, start button is enabled
    } else {
      if (l.update()) { 
        count++;
        if(count>100){
        count=0;  
        println("SpeedUp");
        l.speedUp(1.01);// Increases speed exponential
        
        }
        l.print(); 
        last=true;
      } else {
        if (last) {
          last=false;
          time=millis();
        }
        // Startbutton will be drawed 3 seconds after loosing the game
        if (millis()-time>3000) {
          startmenu=true;
        } else {
          //When loosing the game everything is drawn in grayscale
          filter(GRAY);
          fill(color(0, 0, 0));
          //textFont(createFont("LibSans.ttf", 32,true));
          //textFont(loadFont("LibSans.ttf"),32);
          //textSize(30);
          
          // if (l.win) text("Du hast gewonnen!", width/2-textWidth("Du hast gewonnen!")/2, 100);
         
          if (p.getHealth().getHealth()==0){// Draw the Score after loosing the game
             String text="Dein Score: "+l.getScore();
            text(text, width/2-textWidth(text)/2, 100);   
          }

         // if (l.win) text("Du hast gewonnen!", width/2-textWidth("Du hast gewonnen!")/2, 100);
          String text="Dein Score: "+l.getScore();
          if (p.getHealth().health==0) text(text, width/2-textWidth(text)/2, 100);
        }
      }
    }
    b.print();// Draws the button if enabled.
  }

  public Level getLevel() {
    return l;
  }
  public Player getPlayer() {
    return p;
  }
  //sets all variables, so the game will be started
  public void startGame() {
    startmenu=false;
    b.disable();
    p= new Player(new Rectangle(30, 60), 17);
    l= new Level(p, 1.3, 5);
  }
  // Startts game when enter is pressed
  public void keyListener(int key){
    startGame();
  }
  // Checks wether start button is clicked and starts the game if clicked.
  public void mouseUpdate(int x, int y) {
    if (b.clicked(x, y)) 
      startGame();
  }
}
